{
  "schema_version": "1.4.0",
  "id": "GHSA-643c-pwr2-wq99",
  "modified": "2022-05-17T03:20:08Z",
  "published": "2022-05-17T03:20:08Z",
  "aliases": [
    "CVE-2015-4167"
  ],
  "details": "The udf_read_inode function in fs/udf/inode.c in the Linux kernel before 3.19.1 does not validate certain length values, which allows local users to cause a denial of service (incorrect data representation or integer overflow, and OOPS) via a crafted UDF filesystem.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2015-4167"
    },
    {
      "type": "WEB",
      "url": "https://github.com/torvalds/linux/commit/23b133bdc452aa441fcb9b82cbf6dd05cfd342d0"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=1228204"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=23b133bdc452aa441fcb9b82cbf6dd05cfd342d0"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2015-07/msg00049.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2015-08/msg00011.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2015-09/msg00018.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2015-09/msg00021.html"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2015/dsa-3290"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2015/dsa-3313"
    },
    {
      "type": "WEB",
      "url": "http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.19.1"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2015/06/02/6"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/74963"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1033187"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2631-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2632-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2015-08-05T18:59:00Z"
  }
}